Debian Bug report logs - #453360
live-helper: global hooks mini and minimal break local hooks natural flow.

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Raúl Sánchez Siles <rasasi78@gmail.com>

Date: Thu, 29 Nov 2007 00:18:02 UTC

Severity: important

Found in version live-helper/1.0~a37-2

Fixed in version live-helper/1.0~a38-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#453360; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Raúl Sánchez Siles <rasasi78@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raúl Sánchez Siles <rasasi78@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: global hooks mini and minimal break local hooks natural flow.
Date: Thu, 29 Nov 2007 01:15:34 +0100
Package: live-helper
Version: 1.0~a37-2
Severity: important

When you call lh_build after having configured the live helper build,
several steps are performed. Among them you can find the lh_chroot_hooks
and lh_chroot_local-hooks and they are executed in that order.

The thing is that lh_chroot_hooks usually calls mini or minimal scripts
at /usr/share/live-helper/hooks. They do a cleanup of the chroot, like
for example cleaning the package list(s). This changes the state that some
local-hook script expect like ipw3945.sh.

If they want to install modules-assistant for example, they will be
unable since apt-get won't have an up-to-date package list. For apt-get
any non-installed package will be unknown.

In this situation if you do apt-get update, you will bloat the chroot
and you wouldn't have any other option since the mini or minimal script
have already done the cleanup.

I propose deferring the cleanup when all chroot operations have been
performed either by user or local scripts or any other natural lh
operation.

Thanks.

-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (900, 'unstable'), (500, 'testing'), (100, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.23.9-rc1-rtoi (PREEMPT)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  debootstrap                   1.0.7      Bootstrap a basic Debian system

live-helper recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#453360; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Hadar <whadar@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Hadar <whadar@gmail.com>
To: "Raúl Sánchez Siles" <rasasi78@gmail.com>, 453360@bugs.debian.org
Cc: "Debian Bug Tracking System" <submit@bugs.debian.org>
Subject: Re: Bug#453360: live-helper: global hooks mini and minimal break local hooks natural flow.
Date: Fri, 30 Nov 2007 16:32:53 +0200
[Message part 1 (text/plain, inline)]
I agree. Mini and minimal hooks are not normal hooks. They should not be
implemented like normal hooks, but as "cleanup hooks", "teardown script" or
something like that. In that way, live-helper will make sure to cleanup just
*after* all other hooks were executed.

On Nov 29, 2007 2:15 AM, Raúl Sánchez Siles <rasasi78@gmail.com> wrote:

> Package: live-helper
> Version: 1.0~a37-2
> Severity: important
>
> When you call lh_build after having configured the live helper build,
> several steps are performed. Among them you can find the lh_chroot_hooks
> and lh_chroot_local-hooks and they are executed in that order.
>
> The thing is that lh_chroot_hooks usually calls mini or minimal scripts
> at /usr/share/live-helper/hooks. They do a cleanup of the chroot, like
> for example cleaning the package list(s). This changes the state that some
> local-hook script expect like ipw3945.sh.
>
> If they want to install modules-assistant for example, they will be
> unable since apt-get won't have an up-to-date package list. For apt-get
> any non-installed package will be unknown.
>
> In this situation if you do apt-get update, you will bloat the chroot
> and you wouldn't have any other option since the mini or minimal script
> have already done the cleanup.
>
> I propose deferring the cleanup when all chroot operations have been
> performed either by user or local scripts or any other natural lh
> operation.
>
> Thanks.
>
> -- Package-specific info:
>
> -- System Information:
> Debian Release: lenny/sid
>  APT prefers unstable
>  APT policy: (900, 'unstable'), (500, 'testing'), (100, 'experimental')
> Architecture: i386 (i686)
>
> Kernel: Linux 2.6.23.9-rc1-rtoi (PREEMPT)
> Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/bash
>
> Versions of packages live-helper depends on:
> ii  debootstrap                   1.0.7      Bootstrap a basic Debian
> system
>
> live-helper recommends no packages.
>
> -- no debconf information
>
>
>
>
> _______________________________________________
> debian-live-devel mailing list
> debian-live-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/debian-live-devel
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#453360; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Hadar <whadar@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Tags added: pending Request was from Chris Lamb <chris@chris-lamb.co.uk> to control@bugs.debian.org. (Tue, 15 Jan 2008 20:30:08 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Raúl Sánchez Siles <rasasi78@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 453360-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 453360-close@bugs.debian.org
Subject: Bug#453360: fixed in live-helper 1.0~a38-1
Date: Tue, 26 Feb 2008 17:47:02 +0000
Source: live-helper
Source-Version: 1.0~a38-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_1.0~a38-1.diff.gz
  to pool/main/l/live-helper/live-helper_1.0~a38-1.diff.gz
live-helper_1.0~a38-1.dsc
  to pool/main/l/live-helper/live-helper_1.0~a38-1.dsc
live-helper_1.0~a38-1_all.deb
  to pool/main/l/live-helper/live-helper_1.0~a38-1_all.deb
live-helper_1.0~a38.orig.tar.gz
  to pool/main/l/live-helper/live-helper_1.0~a38.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 453360@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 26 Feb 2008 13:33:00 +0100
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 1.0~a38-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live-maint@lists.alioth.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live helper programs
Closes: 444565 453360 454553 457595 457740
Changes: 
 live-helper (1.0~a38-1) unstable; urgency=medium
 .
   [ Chris Lamb ]
   * Implement -u/--usage function in lh_clean (Closes: #454553)
   * Implement -v/--version and -h/--help in lh_clean.
   * Remove 'ssl' package references from mini and minimal hooks.
   * Don't prompt when autoremoving packages in minimal hooks.
   * Don't put more than one glob on a 'for' line, unless they are
     guaranteed
   * Refactor installing file to binary/pool/main/./.* functionality.
   * Remove conditionals, as an expansion never 'fails': it just
   * Move installing binary.deb/archives/*.deb.
   * Use Install_file for udebs.
   * Refactor d-i udeb handling with better failure mode (Closes:
     #444565)
   * Re-add guards against bogus 'for' shell expansion.
   * Re-order hooks such that local hooks are executed first. (Closes:
     #453360)
   * Remove trailing newline from syslinux splash screens. (Closes:
     #457740)
   * Remove duplicated 'irpas' package in rescue list.
   * Use C-style 'include' in lists (backwards compatible).
 .
   [ Daniel Baumann ]
   * New upstream release.
   * Fixing typing error in Makefile.
   * Also removing manpage cache in cleanup.
   * Fixed incomplete fdisk parameter list in lh_config --help.
   * Don't fail silently when extern executables are configured but not
     present.
   * Fixing changelog email address.
   * Bumping standards version.
   * Removing mkisofs from recommends, not needed anymore.
   * Updating rules.
   * Checking LH_APT when using mini and minimal package lists.
   * Adding example binary hook to copy live-helper and its config based
     on the idea from Tzafrir Cohen <tzafrir.cohen@xorcom.com>.
   * Adding lh_local based on the idea from Tzafrir Cohen
     <tzafrir.cohen@xorcom.com>.
   * Addjusting lh helper to be called from lh_local.
   * Switching to GPL3+.
   * Removing discover from standard-x11 list, udev does the same.
   * Don't fail if resolv.conf is a symlink, thanks to David Madore
     <david.madore@ens.fr> (Closes: #457595).
   * Fixing changelog.
   * Consistently using the pipe as seperator in sed commands now.
   * Checking for /sys/class rather than /sys/kernel, avoids problem when
     running under OpenVZ which doesn't have sys/kernel, thanks to
     Takeshi Yaegashi <yaegashi@debian.org>.
   * Using ftp.us.debian.org rather than ftp.debian.org, see
     http://lists.debian.org/debian-devel-announce/2007/12/msg00002.html.
   * Fixing typo, thanks to Fathi Boudra <fabo@debian.org>.
   * Merging old live-package debian changelog into current debian
     changelog.
   * Merging old live-package debian changelog entry for testing upload.
   * Renaming mini flavour to stripped to avoid confusion, thanks to
     Fathi Boudra <fabo@debian.org> and Ben Armstrong <synrg@debian.org>.
   * Installing initramfs generator from local-packages, if available.
   * Removing install call for old changelog, which is not needed
     anymore.
   * Correcting wrong installation attempt of initramfs generator from
     local-packages.
   * Working arround aptitude behaviour of removing packages rather than
     to installing missing depends when using initramfs generator from
     local-packages.
   * Removing unintendet set -x.
   * Fixing typo.
   * Adding apt/aptitude options.
   * Renaming extra bootstrap indices to chroot.
   * Renaming LH_MIRROR_BOOTSTRAP* to LH_MIRROR_CHROOT and introducing
     dedicated LH_MIRROR_BOOTSTRAP for debootstrap/cdebootstrap only.
   * Improving etch compat warnings.
   * Fixing aptitude typo.
   * Fixing quoting with chroot wrapper calls.
   * Re-adding additional indices updated, otherwise we wouldn't honor
     thirdparty repositories (anymore).
   * Updating devel-live package list.
 .
   [ Otavio Salvador ]
   * bootstrap: adds support to debootstrap 1.0.7
   * bootstrap: use minbase flavour when LH_PACKAGES_LISTS is set to
     minimal
   * binary: do not fail if parameters.txt isn't available
   * chroot: don't fail if /dev/pts is already mounted
   * debian: add mtd-tools in suggests field since it's used when jffs2
     is choosen
   * lh_source_debian: add mtd-tools since it provides mkfs.jffs2
     application
   * lh_config: add jffs2 in supported filesystems
   * lh_binary_encryption: add jffs2 as not supported filesystem
   * lh_binary_rootfs: add support to generate jffs2 filesystem
Files: 
 598393db7852f5ed589ee49a07207803 854 misc optional live-helper_1.0~a38-1.dsc
 40c2e0cc8582b790e450c577e66c9542 1936202 misc optional live-helper_1.0~a38.orig.tar.gz
 bcc59f105418570548f19634494598eb 11061 misc optional live-helper_1.0~a38-1.diff.gz
 4ee003ae06fba55a918f8852b2c05d40 1880308 misc optional live-helper_1.0~a38-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHxE3r+C5cwEsrK54RAs8XAJ43RSdV9d0DOIrAvOzCnhTwZXWDNQCaAu4q
Vc5e0S5Z0FuM5G/I05ynDvk=
=FsYJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Apr 2008 07:33:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:47:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.